> For the complete documentation index, see [llms.txt](https://docs.dlive.tv/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dlive.tv/api/api/overview.md).

# Overview

We adopt [GraphQL](https://graphql.org/) at DLive instead of traditional RESTful API. GraphQL has significant [advantage](https://www.howtographql.com/basics/1-graphql-is-the-better-rest/) over RESTful in terms of flexibility, type-safeness, etc.

The schema file could be found [here](https://devapi.dlive.tv/schema/ext.graphql).

Documentation on our public GraphQL API types could be found [here](https://devapi.dlive.tv/schema/index.html).

Our GraphQL API endpoint is:&#x20;

```
https://api.dlive.tv
```

Developers could use third-party GraphQL clients such as [apollo client](https://github.com/apollographql/apollo-client) to interact with DLive API.

Access token is passed by `authorization` header. All requests must have an `authorization` header. This could either be app access tokens or user access token given in OAuth process.

Any query would return json response in the format:

```
{
    "data":...
    "errors":...
}
```

Data could be null and errors could be present. If present, errors should be a list of errors.

We would provide some sample queries in this doc.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dlive.tv/api/api/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
